Summary: falling blocks game similar to xjewels or t*tris for curses
Name: trojka
Version: 1.1
Release: 11
Copyright: distributable
Group: Games
Source: sunsite.unc.edu:/pub/Linux/games/arcade/tetris/trojka.tgz
Patch0: trojka-fsstnd.patch
Patch1: trojka-misc.patch
Patch2: trojka-glibc.patch
BuildRoot: /var/tmp/trojka-root
Icon: trojka.gif
Summary(de): Spiel mit fallenden Steinen, hnlich xjewels oder t*tris fr curses
Summary(fr): Jeu de blocs similaire  xjewels ou t*tris pour curse
Summary(tr): xjewels ve t*tris'e benzer, metin ekranl, den blok oyunu

%description
The aim of this game is to control and to place the falling blocks, so
that at least three blocks horizontally or diagonally, or both, have
matching patterns. This sequence is then removed, and the above blocks
will coll you reach the top of the screen, the game is finished.

%description -l de
Ziel dieses Spiels ist es, die herunterfallenden Blcke zu steuern 
und so zu plazieren, da mindestens drei Blcke in waagrechter Richtung 
oder diagonal (oder in beiden Richtungen) passende Muster aufweisen. 
Diese Folge wird dann entfernt. Wenn der obere Bildschirmrand erreicht 
ist, ist das Spiel zu Ende. 

%description -l fr
Le but de ce jeu est de contrler et de placer les blocs qui tombent
de faon  ce qu'au moins trois blocs aient le mme motif en horizontal,
en vertical ou les deux. Cette suite est alors te et les blocs du dessus
tombent. Le jeu est fini lorsque le haut de l'cran est atteint.

%description -l tr
Bu oyunun amac, den bloklar desenlerine gre l sralar oluturacak
ekilde yerletirmektir.

%prep
%setup -q -n trojka
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS" linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{games,man/man6}
mkdir -p $RPM_BUILD_ROOT/var/lib/games

install -m755 -s trojka $RPM_BUILD_ROOT/usr/games
install -m644 trojka.6 $RPM_BUILD_ROOT/usr/man/man6/trojka.6
cp /dev/null $RPM_BUILD_ROOT/var/lib/games/trojka.scores
chmod 666 $RPM_BUILD_ROOT/var/lib/games/trojka.scores

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/games/trojka
/usr/man/man6/trojka.6
/var/lib/games/trojka.scores

%changelog
* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- fixed path to source

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
